
Colony - Enhancement #195

improve lights.c

01/22/2008 07:21 PM - Jason knichel

Status: Fixed Start date:  

Priority: Normal Due date:  

Assignee: Martin Herrmann % Done: 100%

Category: Library Estimated time: 0.00 hour

Target version: Library   

Description

-address the TODO statements I placed in the file

-identation is the wrong amount

-some places use hard tabs instead of soft tabs

-I see that someone has some "DOES THIS WORK" comments in the file already... maybe those should be addressed

History

#1 - 01/25/2008 05:58 PM - Kevin Woo

Need to redo the timing for all the colors

The pwm loop is horrible according to Cornell. Need to rewrite it again.

#2 - 09/01/2008 08:59 PM - Brad Neuman

In the interrupt check if the compare is below a certain threshold for OFF and if so, don't turn in on in the overflow interrupt, so it doesn't flicker

#3 - 11/07/2008 04:37 PM - Kevin Woo

Bug with rtc and orbs blowing away settings.timer 3 is the problem.

#4 - 03/12/2009 10:46 PM - Kevin Woo

- Status changed from New to Assigned

#5 - 03/21/2009 12:54 PM - Rich Hong

- Category set to Library

#6 - 03/27/2009 01:43 PM - Martin Herrmann

- Assignee changed from Kevin Woo to Martin Herrmann

#7 - 03/27/2009 02:08 PM - Martin Herrmann

- % Done changed from 0 to 10

#8 - 03/27/2009 04:59 PM - Kevin Woo

- Priority changed from High to Normal

#9 - 03/31/2009 10:48 PM - Martin Herrmann

- % Done changed from 10 to 20

See Library work

#10 - 04/01/2009 10:38 PM - Martin Herrmann

- % Done changed from 20 to 40
#11 - 04/05/2009 08:10 PM - Martin Herrmann

- % Done changed from 40 to 50

#12 - 04/07/2009 02:47 PM - Martin Herrmann

- % Done changed from 50 to 60

#13 - 04/07/2009 10:35 PM - Martin Herrmann

- % Done changed from 60 to 70

#14 - 04/12/2009 09:20 PM - Martin Herrmann

- % Done changed from 70 to 80

#15 - 04/14/2009 09:14 PM - Martin Herrmann

- % Done changed from 80 to 90

#16 - 04/14/2009 09:44 PM - Martin Herrmann

- % Done changed from 90 to 100

Maximum CPU usage: <0.8%

Longest synchronized block: 30us

#17 - 04/14/2009 09:45 PM - Martin Herrmann

Martin Herrmann wrote:

Maximum CPU usage: <0.8%

Longest synchronized block: 30us

Work left to do:

Merge the branch into the trunk

Check the Doxygen documentation

#18 - 09/16/2010 07:11 PM - Alex Zirbel

- Status changed from Assigned to Fixed
